HDF: hdf/src/cnbit_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
cnbit_priv.h File Reference
`#include "hdf_priv.h"`

## Data Structures
struct | nbit_mask_info_t
struct | comp_coder_nbit_info_t

## Macros
#define | NBIT_BUF_SIZE (MAX_NT_SIZE * 64)
#define | NBIT_MASK_SIZE (MAX_NT_SIZE)

## Functions
int32 | HCPcnbit_stread (accrec_t *rec)
int32 | HCPcnbit_stwrite (accrec_t *rec)
int32 | HCPcnbit_seek (accrec_t *access_rec, int32 offset, int origin)
int32 | HCPcnbit_inquire (accrec_t *access_rec, int32 *pfile_id, uint16 *ptag, uint16 *pref, int32 *plength, int32 *poffset, int32 *pposn, int16 *paccess, int16 *pspecial)
int32 | HCPcnbit_read (accrec_t *access_rec, int32 length, void *data)
int32 | HCPcnbit_write (accrec_t *access_rec, int32 length, const void *data)
int | HCPcnbit_endaccess (accrec_t *access_rec)

## Variables
funclist_t | cnbit_funcs

## Macro Definition Documentation

## ◆ NBIT_BUF_SIZE

#define NBIT_BUF_SIZE (MAX_NT_SIZE * 64)

## ◆ NBIT_MASK_SIZE

#define NBIT_MASK_SIZE (MAX_NT_SIZE)

## Function Documentation

## ◆ HCPcnbit_endaccess()

int HCPcnbit_endaccess | ( | accrec_t * | access_rec | ) |
| extern

## ◆ HCPcnbit_inquire()

int32 HCPcnbit_inquire | ( | accrec_t * | access_rec,
|  | int32 * | pfile_id,
|  | uint16 * | ptag,
|  | uint16 * | pref,
|  | int32 * | plength,
|  | int32 * | poffset,
|  | int32 * | pposn,
|  | int16 * | paccess,
|  | int16 * | pspecial )
| extern

## ◆ HCPcnbit_read()

int32 HCPcnbit_read | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | void * | data )
| extern

## ◆ HCPcnbit_seek()

int32 HCPcnbit_seek | ( | accrec_t * | access_rec,
|  | int32 | offset,
|  | int | origin )
| extern

## ◆ HCPcnbit_stread()

int32 HCPcnbit_stread | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcnbit_stwrite()

int32 HCPcnbit_stwrite | ( | accrec_t * | rec | ) |
| extern

## ◆ HCPcnbit_write()

int32 HCPcnbit_write | ( | accrec_t * | access_rec,
|  | int32 | length,
|  | const void * | data )
| extern

## Variable Documentation

## ◆ cnbit_funcs

funclist_t cnbit_funcs
| extern